<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.lantone.security.mapper.DictionaryInfoMapper">
    <select id="getDictionaryInfoByType" resultType="com.lantone.security.dto.GetDictionaryInfoByTypeDTO">
        SELECT
          d.`name`,
          d.val
        FROM
            `sys_dictionary_info` d
        WHERE
            `group_type` = #{groupId}
        AND `is_deleted` = 'N'
        ORDER BY
            `order_no`
    </select>
</mapper>